org.apache.pdfbox.pdmodel.documentinterchange.markedcontent

## Class PDMarkedContent

- java.lang.Object
- - org.apache.pdfbox.pdmodel.documentinterchange.markedcontent.PDMarkedContent

Direct Known Subclasses:
  PDArtifactMarkedContent

    public class PDMarkedContent
    extends Object

A marked content.

Author:
  Johannes Koch

### Constructor Summary

Constructors
Constructor and Description
`PDMarkedContent(COSName tag, COSDictionary properties)` Creates a new marked content object.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addMarkedContent(PDMarkedContent markedContent)` Adds a marked content to the contents.
`void` `addText(TextPosition text)` Adds a text position to the contents.
`void` `addXObject(PDXObject xobject)` Adds an XObject to the contents.
`static PDMarkedContent` `create(COSName tag, COSDictionary properties)` Creates a marked-content sequence.
`String` `getActualText()` Gets the actual text (ActualText).
`String` `getAlternateDescription()` Gets the alternate description (Alt).
`List<Object>` `getContents()` Gets the contents of the marked content sequence.
`String` `getExpandedForm()` Gets the expanded form (E).
`String` `getLanguage()` Gets the language (Lang).
`int` `getMCID()` Gets the marked-content identifier.
`COSDictionary` `getProperties()` Gets the properties.
`String` `getTag()` Gets the tag.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDMarkedContent

    public PDMarkedContent(COSName tag,
                           COSDictionary properties)

Creates a new marked content object.

Parameters:
  `tag` - the tag
  `properties` - the properties

### Method Detail

#### create

    public static PDMarkedContent create(COSName tag,
                                         COSDictionary properties)

Creates a marked-content sequence.

Parameters:
  `tag` - the tag
  `properties` - the properties
Returns:
  the marked-content sequence

#### getTag

    public String getTag()

Gets the tag.

Returns:
  the tag

#### getProperties

    public COSDictionary getProperties()

Gets the properties.

Returns:
  the properties

#### getMCID

    public int getMCID()

Gets the marked-content identifier.

Returns:
  the marked-content identifier, or -1 if it doesn't exist.

#### getLanguage

    public String getLanguage()

Gets the language (Lang).

Returns:
  the language

#### getActualText

    public String getActualText()

Gets the actual text (ActualText).

Returns:
  the actual text

#### getAlternateDescription

    public String getAlternateDescription()

Gets the alternate description (Alt).

Returns:
  the alternate description

#### getExpandedForm

    public String getExpandedForm()

Gets the expanded form (E).

Returns:
  the expanded form

#### getContents

    public List<Object> getContents()

Gets the contents of the marked content sequence. Can be

- `TextPosition`,
- `PDMarkedContent`, or
- `PDXObject`.

Returns:
  the contents of the marked content sequence

#### addText

    public void addText(TextPosition text)

Adds a text position to the contents.

Parameters:
  `text` - the text position

#### addMarkedContent

    public void addMarkedContent(PDMarkedContent markedContent)

Adds a marked content to the contents.

Parameters:
  `markedContent` - the marked content

#### addXObject

    public void addXObject(PDXObject xobject)

Adds an XObject to the contents.

Parameters:
  `xobject` - the XObject

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`